## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### POST /v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}/run

Try it

Run a Knowledge Connector

#### cURL

```
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}/run \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}/run"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}/run', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}/run",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}/run"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response

#### Success Response (201)

Returns the Knowledge Connector metadata object.

```json
{
  "extension": "confluence",
  "version": "1.1.0",
  "type": "MyConfluenceConnector",
  "config": {},
  "name": "My Knowledge Connector",
  "schedule": {
    "enabled": true,
    "start": 1694518620,
    "totalMinutes": 1,
    "hour": 1,
    "minute": 1,
    "timezone": "UTC",
    "weekDays": [
      0,
      3
    ]
  },
  "lastExecution": 1694518620,
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Response Codes

- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

### Authorization

#### Header Parameters
- **X-API-Key**: Supply the API Key in the HTTP-Header

#### Headers
- **Accept**: Specifies the media type that the client expects in the response.
